org.apache.http.impl.cookie

## Class DateParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.http.impl.cookie.DateParseException

- All Implemented Interfaces:
    Serializable

  Deprecated.
  (4.3) no longer used.

      @Deprecated
      public class DateParseException
      extends Exception

  An exception to indicate an error parsing a date string.
  Since:
    4.0
  See Also:
    `DateUtils`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateParseException()` Deprecated.
    `DateParseException(String message)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DateParseException

          public DateParseException()

      Deprecated.

    - #### DateParseException

          public DateParseException(String message)

      Deprecated.
      Parameters:
        `message` - the exception message

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.